Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.calendar
Class CopyCalendar

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.calendar.CopyCalendar

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<CopiedCalendarResult>, net.customware.gwt.dispatch.shared.Action<CopiedCalendarResult>

    public class CopyCalendar

extends java.lang.Object
implements OSAction<CopiedCalendarResult>

This service copies an identified Calendar to create a new Calendar of the same type. For Base Calendars, the properties to be copied from the original Calendar will include the time-zone and working hours. For Base and Overlay Calendars, future Calendar Entries can also be copied, if requested.

©2012 TIBCO Software Inc.

Since:
  2.0

Constructor Summary
`CopyCalendar(java.lang.String namespace, java.lang.String name, java.lang.String destNamespace, java.lang.String destName, boolean includeEntries)` This service copies an identified Calendar to create a new Calendar of the same type.

Method Summary
`java.lang.String` | `getDestName()` Gets the destName
`java.lang.String` | `getDestNamespace()` Gets the destNamespace
`java.lang.String` | `getName()` Gets the name
`java.lang.String` | `getNamespace()` Gets the namespace value.
`boolean` | `isIncludeEntries()` Returns the includeEntries

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CopyCalendar

    public CopyCalendar(java.lang.String namespace,
                        java.lang.String name,
                        java.lang.String destNamespace,
                        java.lang.String destName,
                        boolean includeEntries)

  This service copies an identified Calendar to create a new Calendar of the same type. For Base Calendars, the properties to be copied from the original Calendar will include the time-zone and working hours. For Base and Overlay Calendars, future Calendar Entries can also be copied, if requested.

  Parameters:
    `namespace` -
    `name` -
    `destNamespace` -
    `destName` -
    `includeEntries` -

Method Detail

### getNamespace

    public java.lang.String getNamespace()

  Gets the namespace value.

  Returns:
    Returns the namespace.

### getName

    public java.lang.String getName()

  Gets the name

  Returns:
    Returns the name.

### getDestNamespace

    public java.lang.String getDestNamespace()

  Gets the destNamespace

  Returns:
    Returns the destNamespace.

### getDestName

    public java.lang.String getDestName()

  Gets the destName

  Returns:
    Returns the destName.

### isIncludeEntries

    public boolean isIncludeEntries()

  Returns the includeEntries

  Returns:
    Returns the includeEntries.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.